Download it now!
Bug 94543 - Adding pattern to bitmap fill list corrupts standard.sob
Summary: Adding pattern to bitmap fill list corrupts standard.sob
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Rishabh
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Object-Fill
  Show dependency treegraph
 
Reported: 2015-09-27 06:48 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-08-26 15:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-09-27 06:48:10 UTC
Steps:
1) Open Writer
2) Add a shape
3) Context Menu > Area > Bitmaps
4) Notice that the last entry in the list is 'Roses'
5) In the pattern editor, click a few pixels
6) Click 'Add' button and type in a name (e.g. 'Pattern 1')
7) Press OK
8) Close Writer
9) Repeat steps 1 to 3
10) Notice that the last entry is now 'Leaves'

The problem seems to happen during the saving of the bitmap list as the bitmap list xml file found in /user/config/standard.sob/Context.xml gets corrupted. This doesnt happen when inserting an image into the bitmap list or modifying the 'Blank' pattern.

Version: 5.1.0.0.alpha1+
Build ID: 1e67e94f1a308ca60d4934e9fe9d5c048225ebe8
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-09-21_07:28:58
Locale: en-US (en_US.UTF-8)
Comment 1 MM 2015-09-27 19:42:19 UTC
Confirmed with v4.5.5.2 under windows 7 x64.
Comment 2 Yousuf Philips (jay) (retired) 2016-02-10 18:17:47 UTC
@Maxim: Could you look into this, as i'd like to add a default set of patterns (bug 94547).
Comment 3 Heiko Tietze 2016-05-24 08:04:24 UTC
Looks good here. Please check with Linux.

Version: 5.2.0.0.alpha0+
Build ID: 6b232aeecc55f1715bc111e636e36a8e24827efb
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-26_07:40:04
Locale: de-DE (de_DE)
Comment 4 Yousuf Philips (jay) (retired) 2016-05-24 17:33:55 UTC
Still broken.

Version: 5.2.0.0.alpha1+
Build ID: 27b6cdb5ab5af33dbba561923c8db81e144c88b9
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-05-20_23:49:06
Locale: en-US (en_US.UTF-8)
Comment 5 Yousuf Philips (jay) (retired) 2016-08-26 15:37:36 UTC
So this is still broken in 5.2 daily, but fixed in master.

Version: 5.3.0.0.alpha0+
Build ID: d5fab973d0af95c433c5f6a9492014f7db642489
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-08-24_00:37:02
Locale: en-US (en_US.UTF-8); Calc: group

Rishabh said it was fixed in this patch - https://gerrit.libreoffice.org/#/c/26015/